gnutls_transport_set_int2(3)

NAME
gnutls_transport_set_int2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_int2(gnutls_session_t session, int recv_fd, int send_fd);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

int recv_fd
    is socket descriptor for the pull function

int send_fd
    is socket descriptor for the push function

DESCRIPTION
This function sets the first argument of the transport functions, such as send() and recv() for the default callbacks using the system's socket API. With this function you can set two different descriptors for receiving and sending. This function is equivalent to calling gnutls_transport_set_ptr2() with the descriptors, but requires no casts.

SINCE
3.1.9

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/